Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.hqu
Interface AttachmentDescriptor

All Known Implementing Classes:
  SimpleAttachmentDescriptor

    public interface AttachmentDescriptor

AttachmentDescriptors are requested by the UIPluginManager, through the rendit_sys system, and ultimately are generated by HQUPlugin.groovy. They represent all information about how the attachment should be displayed in the UI. DevNote: It seems like it would be better to provide a 'rendering context' when fetching the descriptor, and have getHTML() be reusable across different rendering methods (as an icon, as text, as both)

Method Summary
`Attachment` | `getAttachment()` Get the associated attachment
`java.lang.String` | `getHelpTag()` Get the help tag used to link the help button to the wiki help page.
`java.lang.String` | `getHTML()` Get the HTML used to render the attachment.
`java.lang.String` | `getIconClass()` Get the class representing this descriptor as an icon.

Method Detail

### getAttachment

    Attachment getAttachment()

  Get the associated attachment

### getHTML

    java.lang.String getHTML()

  Get the HTML used to render the attachment. This is usually just the text description, however it can be more elaborate (like using images or javascript, etc.)

### getHelpTag

    java.lang.String getHelpTag()

  Get the help tag used to link the help button to the wiki help page. This is usually something like 'Alert.Center'

### getIconClass

    java.lang.String getIconClass()

  Get the class representing this descriptor as an icon. This is usually found in 'web/css/HQ_40_OS.css' or the like. e.g. "resourceIcon"

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.